regfinfo

NAME
regfinfo - determines information about a Windows NT Registry File (REGF)

SYNOPSIS
regfinfo [-B bodyfile] [-c codepage] [-hHvV] source

DESCRIPTION
regfinfo is a utility to determine information about a Windows NT Registry File (REGF)

regfinfo is part of the libregf package. libregf is a library to access the Windows NT Registry File (REGF) format

source is the source file.

The options are as follows:

-B bodyfile
    output key and value hierarchy as a bodyfile

-c codepage
    specify the codepage of ASCII strings, options: ascii, windows-874, windows-932, windows-936, windows-949, windows-950, windows-1250, windows-1251, windows-1252 (default), windows-1253, windows-1254, windows-1255, windows-1256, windows-1257 or windows-1258

-h  shows this help

-H  shows the key and value hierarcy

-v  verbose output to stderr

-V  print version

ENVIRONMENT
None

FILES
None

EXAMPLES

    # regfinfo NTUSER.DAT
    regfinfo 20201213

    Windows NT Registry File information:
    	Version:	1.5
    	File type:	Registry

DIAGNOSTICS
Errors, verbose and debug output are printed to stderr when verbose output -v is enabled. Verbose and debug output are only printed when enabled at compilation.

BUGS
Please report bugs of any kind to <joachim.metz@gmail.com> or on the project website: https://github.com/libyal/libregf/

AUTHOR
These man pages were written by Joachim Metz.

COPYRIGHT
Copyright (C) 2009-2024, Joachim Metz <joachim.metz@gmail.com>. This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO